      subroutine ibc_ck(ibc, slbl, xlbl, imin, imax, ier)
C...Translated by Pacific-Sierra Research VAST-90 2.06G2  10:50:51  10/ 1/01  
C...Switches: -p4 -yb
      use kind_spec

      implicit none
C-----------------------------------------------
C   D u m m y   A r g u m e n t s
C-----------------------------------------------
      integer ibc, imin, imax, ier
      character slbl*(*), xlbl*(*)
C-----------------------------------------------
c
c  check that spline routine ibc flag is in range
c
c
c
c
c----------------------
c
      if (ibc<imin .or. ibc>imax) then
         ier = 1
         write (6, 1001) slbl, xlbl, ibc, imin, imax
 1001    format(' ?',a,' -- ibc',a,' = ',i9,' out of range ',i2,' to ',
     1      i2)
      endif
c
      return 
      end subroutine ibc_ck
